html {
    height: 100%;
}
body {
    display: table;
    margin: auto;
    width: 100%; 
    color: #2c3d3d;
    font-family: Verdana, sans-serif;
    font-size: 100%;
    line-height: 140%;
    min-height: 100%;
}
img {
    max-width: 25em;
}
a {
    color: #4e95cf;     
}
#edit_button {
    position: fixed;
    right: 10px;
    top: 10px;
}     
#TOC {
    border: 1px solid gray;
    background-color: #f8f8f8;
    font-size: 90%;        
    width: max-content;
    padding-right: 1em;
}
#mainNav {
    display: table-cell;
    padding-right: 4em; 
}
#mainNavContent {
    height: 100%;
    font-size: 90%;
    background-color: #f8f8f8;
    padding-right: 2em;
    padding-left: 2em;
}
#mainNav ul {
    padding-left: 0em;
    list-style: none;
}
#mainNav li {
    padding-bottom: 1px;
}
#mainNav li a {
    display: block;
    width: 100%;
    color: #5a5a5a;        
    margin-top: 4px;
    margin-bottom: 1px;
    border-bottom: 1px solid #979797;

}
#mainNav li li a {
    display: inline;
    color: #4e95cf; 
    margin-top: none;
    border-bottom: none;
}
pre, code {
    border: 1px dotted gray;
    background-color: #ececec;
    color: #111111;
    font-family: monospace;
}
pre {
    margin-right: 4em;
    padding: 1em
}
code {
    padding: 0.1em;
}
pre code {
    border: 0;
    background-color: #00000000;
    padding: 0;
}
h1 a, h2 a, h3 a, h4 a, h5 a { 
    text-decoration: none;
    color: #7a5ada; 
}
h1, h2, h3, h4, h5, p {
    margin: 1.5em 2em 1em 0; 
}
h1, h2, h3, h4, h5 {
    font-family: Arial, Helvetica, sans-serif; 
    font-weight: normal;
}
h1, h2, h3 {
    font-size: 130%;
    font-family: Georgia, 'Times New Roman', Times, serif;
    color: #000000;
    border-bottom: 1px solid #979797;
    padding: 0.5em 0.5em 0.5em 0;
}
h2, h3 {
    font-size: 120%;
    border-color: #cacaca;
    margin-right: 6em;
}

h3 {
    font-size: 95%;
    margin-right: 10em;
}

h4 {
    font-size: 90%;
    font-style: italic;
}

h5 {
    font-size: 90%;
    font-style: italic;
}

h1.title {
    font-size: 200%;
    font-weight: normal;
    padding-top: 1em;
    padding-bottom: 0.2em;
    border: none;
    margin: 0em;
}

p.author {
    padding-bottom: 0.2em;
    margin-top: 0;
    color: #678686 ;
}

dt code {
    font-weight: bold;
}
dd p {
    margin-top: 0;
}

a {
    text-decoration: none;
}

#footer {
    padding-top: 1em;
    font-size: 70%;
    color: gray;
    text-align: center;
    }
